﻿using System;
using System.Web.Security;

namespace HeuristicLab.Services.Hive {
  public class UserManager : IUserManager {
    public MembershipUser CurrentUser {
      get { return Membership.GetUser(); }
    }

    public Guid CurrentUserId {
      get { return (Guid)CurrentUser.ProviderUserKey; }
    }

    public MembershipUser GetUserByName(string username) {
      return Membership.GetUser(username);
    }

    public MembershipUser GetUserById(Guid userId) {
      return Membership.GetUser(userId);
    }
  }
}
